%define major			3
%define major_xreaderdocument	3
%define major_xreaderview	3
%define api			3.0
%define gir_major		3.0

%define devname			%mklibname -d %{name}
%define libname_xreaderdocument	%mklibname xreaderdocument 3 %{major_xreaderdocument}
%define libname_xreaderview	%mklibname xreaderview 3 %{major_xreaderview}
%define girname			%mklibname %{name}-gir %{gir_major}

Name:           xreader
Version:        1.2.2
Release:        %mkrel 1
Summary:        Simple document viewer
License:        GPLv2 and LGPLv2
Group:          Publishing
Url:            https://github.com/linuxmint/xreader
Source:         https://github.com/linuxmint/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  gnome-common
BuildRequires:  libtiff-devel >= 3.6
BuildRequires:  texlive
BuildRequires:  kpathsea-devel
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(ddjvuapi) >= 3.5.17
BuildRequires:  pkgconfig(gail-3.0)
BuildRequires:  pkgconfig(glib-2.0) >= 2.36.0
BuildRequires:  pkgconfig(gobject-introspection-1.0) >= 0.6
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtk+-unix-print-3.0)
BuildRequires:  pkgconfig(libcaja-extension)
BuildRequires:  pkgconfig(libgxps) >= 0.2.0
BuildRequires:  pkgconfig(libnemo-extension)
BuildRequires:  pkgconfig(libsecret-1) >= 0.5
BuildRequires:  pkgconfig(libspectre) >= 0.2.0
BuildRequires:  pkgconfig(libxml-2.0) >= 2.5.0
BuildRequires:  pkgconfig(poppler-glib) >= 0.16.0
BuildRequires:  pkgconfig(sm) >= 1.0.0
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(webkit2gtk-4.0) >= 2.4.3
BuildRequires:  itstool
Requires:       %{name}-backends = %{version}-%{release}

%description
X-Apps Document Reader is a document viewer capable of displaying
multiple and singlepage document formats like PDF and PostScript.

%package -n %{libname_xreaderdocument}
Summary:        X-Apps Document Reader -- System Library
Group:          System/Libraries

%description -n %{libname_xreaderdocument}
X-Apps Document Reader is a document viewer capable of displaying
multiple and singlepage document formats like PDF and PostScript.

%package -n %{libname_xreaderview}
Summary:        X-Apps Document Reader -- System Library
Group:          System/Libraries

%description -n %{libname_xreaderview}
X-Apps Document Reader is a document viewer capable of displaying
multiple and singlepage document formats like PDF and PostScript.

%package -n %{girname}
Summary:        XReaderDocument -- Introspection Bindings
Group:          System/Libraries

%description -n %{girname}
X-Apps Document Reader is a document viewer capable of displaying
multiple and singlepage document formats like PDF and PostScript.

%package backends
Summary:        XReader shared libraries (View and Document)
Group:          System/Libraries

%description backends
X-Apps Document Reader is a document viewer capable of displaying
multiple and singlepage document formats like PDF and PostScript.

%package -n nemo-extension-%{name}
Summary:        X-Apps Document Reader file manager extension
Group:          Publishing
Requires:       %{name} = %{version}-%{release}
Requires:       nemo
Recommends:     nemo-extension-sendto

%description -n nemo-extension-%{name}
X-Apps Document Reader is a document viewer capable of displaying
multiple and singlepage document formats like PDF and PostScript.

This package contains the xreader extension for the
Nemo file manager.
It adds an additional tab called "Document" to the file properties
dialog.

%package -n caja-extension-%{name}
Summary:        X-Apps Document Reader file manager extension
Group:          Publishing
Requires:       %{name} = %{version}-%{release}
Requires:       caja
Recommends:     caja-extension-sendto

%description -n caja-extension-%{name}
X-Apps Document Reader is a document viewer capable of displaying
multiple and singlepage document formats like PDF and PostScript.

This package contains the xreader extension for the
Caja file manager.
It adds an additional tab called "Document" to the file properties
dialog.

%package -n %{devname}
Summary:        X-Apps Document Reader development files
Group:          Development/C
Requires:       %{name}-backends = %{version}-%{release}
Requires:       %{girname} = %{version}-%{release}

%description -n %{devname}
X-Apps Document Reader is a document viewer capable of displaying
multiple and singlepage document formats like PDF and PostScript.

%prep
%setup -q

%build
NOCONFIGURE=1 gnome-autogen.sh
%configure2_5x \
  --disable-static                    \
  --libexecdir=%{_libexecdir}/%{name} \
  --enable-introspection              \
  --enable-gtk-doc                    \
  --enable-pixbuf
%make_build

%install
%make_install
%find_lang %{name} --with-gnome --with-help
find %{buildroot} -name '*.la' -delete

%files -f %{name}.lang
%license COPYING
%doc AUTHORS README
%{_bindir}/%{name}
%{_bindir}/%{name}-previewer
%{_bindir}/%{name}-thumbnailer
%{_datadir}/%{name}/
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/%{major}/
%dir %{_libexecdir}/%{name}/
%{_libexecdir}/%{name}/%{name}*
%{_datadir}/thumbnailers/%{name}.thumbnailer
%{_datadir}/dbus-1/services/*.service
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/icons/hicolor/*/*/*
%{_mandir}/man?/*.*

%files -n %{libname_xreaderview}
%license COPYING
%doc AUTHORS README
%{_libdir}/libxreaderview.so.%{major_xreaderview}{,.*}

%files -n %{libname_xreaderdocument}
%license COPYING
%doc AUTHORS README
%{_libdir}/libxreaderdocument.so.%{major_xreaderdocument}{,.*}

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/*.gir
%{_datadir}/gtk-doc/html/

%files -n nemo-extension-%{name}
%{_datadir}/nemo/extensions/libxreader-properties-page.nemo-extension
%{_libdir}/nemo/

%files -n caja-extension-%{name}
%{_datadir}/caja/extensions/libxreader-properties-page.caja-extension
%{_libdir}/caja/

%files -n %{girname}
%{_libdir}/girepository-1.0/XreaderDocument-1.5.0.typelib
%{_libdir}/girepository-1.0/XreaderView-1.5.0.typelib

%files backends
%license COPYING
%doc AUTHORS README
%{_libdir}/%{name}/%{major}/backends/


%changelog
* Sun Jan 29 2017 joequant <joequant> 1.2.2-1.mga6
+ Revision: 1083914
- upgrade to 1.2.2

* Fri Jan 13 2017 daviddavid <daviddavid> 1.0.7-4.mga6
+ Revision: 1081488
- add missing BR on pkgconfig(gtk+-2.0)
- fix files listed twice
- fix ownership of "/usr/share/thumbnailers" dir

* Fri Nov 11 2016 ngompa <ngompa> 1.0.7-3.mga6
+ Revision: 1066445
- Fix up spec

* Sat Aug 13 2016 luigiwalser <luigiwalser> 1.0.7-2.mga6
+ Revision: 1046208
- test rebuild for poppler

* Sat Jun 25 2016 joequant <joequant> 1.0.7-1.mga6
+ Revision: 1037594
- imported package xreader

